#!/bin/bash

logDir="/var/log/omniotshd/"
backupDir="/var/log/omniotshd/"
logName="SysLog.log"
numVersions=5;

startLoop=$(( $numVersions - 1 ))

for i in $(seq $startLoop -1 1); do

   if [ -f  $backupDir$logName.$i ]; then

      rmVer=$(( $i + 1 ))

      if [ -f $backupDir$logName.$rmVer ]; then

         rm $backupDir$logName.$rmVer

      fi

      mv $backupDir$logName.$i $backupDir$logName.$rmVer

   fi

done


if [ -f $backupDir$logName ]; then

   mv $logDir$logName $backupDir$logName.1

fi

exit 0

